// see http://vuejs-templates.github.io/webpack for documentation.
var path = require('path')
var argv = require('minimist')(process.argv.slice(2));
module.exports = {
  build: {
    env: require('./prod.env'),
    index: path.resolve(__dirname, '../dist/index.html'),
    assetsRoot: path.resolve(__dirname, '../dist'),
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
    productionSourceMap: false,
    productionGzip: false,
    productionGzipExtensions: ['js', 'css'],
    bundleAnalyzerReport: process.env.npm_config_report
  },
  dev: {
		env: require('./dev.env'),
		host: 'jieziman.com',
    port: 8088,
    autoOpenBrowser: true,
    assetsSubDirectory: 'static',
    assetsPublicPath: '/',
		proxyTable: {//转发：本地请求资源的时候：localhost转发到这个路径下请求资源 防止跨域
			// '/api': {
			// 	target: 'http://devijzm.yl9158.com/',
			// 	changeOrigin: true,
			// 	pathRewrite: {
			// 		'^/api': ''
			// 	}
			// }
		},
    cssSourceMap: false
  }
}
